Bug 1475838 - CVE-2017-9610 CVE-2017-9611 CVE-2017-9612 CVE-2017-9618 CVE-2017-9619 CVE-2017-9620 CVE-2017-9726 CVE-2017-9727 CVE-2017-9739 CVE-2017-9740 CVE-2017-9835 ghostscript: various flaws [fedora-all]
CVE-2017-9610 CVE-2017-9611 CVE-2017-9612 CVE-2017-9618 CVE-2017-9619 CVE-201...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
26
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: David Kaspar [Dee'Kej]
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2017-9611 CVE-2017-9618 CVE-2017-9619 CVE-2017-9620 CVE-2017-9726 CVE-2017-9727 CVE-2017-9739 CVE-2017-9740 CVE-2017-9835 CVE-2017-9610 CVE-2017-9612
  Show dependency treegraph
 
Reported: 2017-07-27 08:59 EDT by Andrej Nemec
Modified: 2017-11-15 12:48 EST (History)
3 users (show)

See Also:
Fixed In Version: ghostscript-9.22-1.fc27
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-15 12:48:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-07-27 08:59:35 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.
Comment 1 Andrej Nemec 2017-07-27 08:59:42 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1475824,1475825,1475826,1475827,1475828,1475829,1475830,1475833,1475834,1475836,1475837

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Fedora Update System 2017-11-09 09:33:11 EST
ghostscript-9.22-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c9b0c406b3
Comment 3 Fedora Update System 2017-11-09 14:56:13 EST
ghostscript-9.22-1.fc27, poppler-data-0.4.8-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c9b0c406b3
Comment 4 Fedora Update System 2017-11-15 12:48:39 EST
ghostscript-9.22-1.fc27, poppler-data-0.4.8-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.